<html>
	<head>
		<style>
			body
			{
				padding: 0px;
				margin: 0px;
				font: sans-serif;
				background-color: #e7e7e7;	

			}
			#head{
				background-color: #111;
				color: #909090;
				font-family: Raleway, 'Source Sans Pro', sans-serif;
				font-size: 40px;

			}
			#head :link{
				text-decoration: none;
				color: 909090;
				margin-left: 10px;
				margin-top: 0px;
			}
			#chat{
				margin-top: 20px;
				width: 800px;
				margin-right: auto;
				margin-left: auto;
				height: 500px;
				background-color: #fff; 
				overflow: scroll;
			}
			#input{
				width: 800px;
				margin-right: auto;
				margin-left: auto;
			}
			.response{
				margin-top: 0px;
				margin-left: 50px;
				border-radius: 5px;
				padding: 5px;
				background-color: white;
			}
		</style>
		<script src="/jquery.js"></script>
		<script src="/socket.io/socket.io.js"></script>
		<script>
		  // socket.on('news', function (data) {
		  //   console.log(data);
		  //   socket.emit('my other event', { my: 'data' });
		  // });
	
		$(function(){
			var socket = io.connect('http://localhost');

			var username = usernameInput();
			var room = roomInput();

			socket.emit('add user',{username: username, room: room});

			console.log(username);
	
			socket.on('newMsg', function(data){
				console.log(data);
				var msg = data.msg;
				var username = data.username;
				$('#chat').append('<p class="response"><b>' + username + ': </b>' + msg + '</p>');

				$('#chat').animate({
					scrollTop: $('#chat')[0].scrollHeight
				}, 300);

			});

			socket.on('newUser', function(data){
				var newUser = data.username;
				$('#chat').append('<p class="response"><b>'+ newUser + ' has joined the room.</b></p>');
			});

			$('#send').click(function(){
				sendMsg();
			});

			$('#msgBox').keydown(function(e){
				if (e.keyCode == 13) { // enter
					sendMsg();
				};
			});

			function sendMsg(){
				var message = $('#msgBox').val();
				socket.emit('msgSent',{msg: message});
				console.log('sent');
				$('#msgBox').val('');
			}

			function usernameInput()
			{
				var username;
				while(!username){
					username = prompt('Please enter a valid username.');
				}
				$('#msgBox').focus();
				return username;
				//return 'debugUsername';
			}

			function roomInput()
			{
				var room;
				while(!room){
					room = prompt('Please enter a valid room name.');
				}
				$('#msgBox').focus();
				return room;
			}

		});
		</script>
	</head>
	<body>
			<div id="head">
				<a href="#">QuickChat</a>
			</div> <!-- /head -->
			<div id="chat">
			</div>
			<div id="input">
				<input type="text" style="width: 700px; float: left;" id="msgBox"/>
				<button style="width: 100px; float: right;" id="send">Send</button>
			</div>
	</body>
</html>